<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.lideeyunji.core.framework.mapper.LideeYunJiSqlMapper">

    <insert id="insertDataList">
        INSERT INTO ${tableName}
        <foreach collection="fieldNameAndTypeList.keys" item="field" separator="," open="(" close=")">
            ${field}
        </foreach>
        VALUES
        <foreach collection="dataMapList" item="data" separator=",">
            <foreach collection="fieldNameAndTypeList.keys" item="field" separator="," open="(" close=")">
                #{data.${field},jdbcType=${fieldNameAndTypeList[field]}}
            </foreach>
        </foreach>
    </insert>


</mapper>


